VIGRA - VIGRA: NoiseNormalizationOptions Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| NoiseNormalizationOptions [Noise Normalization] |

Pass options to one of the noise normalization functions. More...

`#include <vigra/noise_normalization.hxx>`

List of all members.

## Public Member Functions
NoiseNormalizationOptions & | averagingQuantile (double quantile)
NoiseNormalizationOptions & | clusterCount (unsigned int c)
NoiseNormalizationOptions & | noiseEstimationQuantile (double quantile)
| NoiseNormalizationOptions ()
NoiseNormalizationOptions & | noiseVarianceInitialGuess (double guess)
NoiseNormalizationOptions & | useGradient (bool r)
NoiseNormalizationOptions & | windowRadius (unsigned int r)

## Detailed Description

Pass options to one of the noise normalization functions.

`NoiseNormalizationOptions` is an argument object that holds various optional parameters used by the noise normalization functions. If a parameter is not explicitly set, a suitable default will be used.

Usage:

#include <vigra/noise_normalization.hxx>
Namespace: vigra

        vigra::BImage src(w,h);
        std::vector<vigra::TinyVector<double, 2> > result;

        ...
        vigra::noiseVarianceEstimation(srcImageRange(src), result,
                                      vigra::NoiseNormalizationOptions().windowRadius(9).noiseVarianceInitialGuess(25.0));

## Constructor & Destructor Documentation

NoiseNormalizationOptions | ( |  | ) |

Initialize all options with default values.

## Member Function Documentation

NoiseNormalizationOptions& averagingQuantile | ( | double | quantile | ) |

Set the quantile for cluster averaging. After clustering, the cluster center (i.e. average noise variance as a function of the average intensity in the cluster) is computed using only the cluster members whose estimated variance is below quantile times the maximum variance in the cluster.
Default: 0.8
Precondition: 0 < quantile <= 1.0

NoiseNormalizationOptions& clusterCount | ( | unsigned int | c | ) |

Set the number of clusters for non-parametric noise normalization. The intensity/variance pairs found are grouped into clusters before the noise normalization transform is computed.
Default: 10 clusters

NoiseNormalizationOptions& noiseEstimationQuantile | ( | double | quantile | ) |

Set the operating range of the robust noise estimator. Intensity changes that are larger than quantile times the current estimate of the noise variance are ignored by the robust noise estimator.
Default: 1.5
Precondition: 0 < quantile

NoiseNormalizationOptions& noiseVarianceInitialGuess | ( | double | guess | ) |

Set the initial estimate of the noise variance. Robust noise variance estimation is an iterative procedure starting at the given value.
Default: 10.0
Precondition: 0 < quess

NoiseNormalizationOptions& useGradient | ( | bool | r | ) |

Select the noise estimation algorithm.

If r is `true`, use the gradient-based noise estimator according to Förstner (default). Otherwise, use an algorithm that uses the intensity values directly.

NoiseNormalizationOptions& windowRadius | ( | unsigned int | r | ) |

Set the window radius for a single noise estimate. Every window of the given size gives raise to one intensity/variance pair.
Default: 6 pixels

The documentation for this class was generated from the following file:

- vigra/noise_normalization.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python VIGRA 1.6.0 (13 Aug 2008)